.\" $NetBSD: spic.4,v 1.2 2004/05/03 14:21:02 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 24, 2002
.Dt SPIC 4 i386
.Os
.Sh NAME
.Nm spic
.Nd Sony Programmable I/O Controller
.Sh SYNOPSIS
.Cd "spic*    at acpi?"
.Cd "wsmouse* at spic?"
.Sh DESCRIPTION
Some
.Tn Sony
computers have an I/O controller that handles various interface
devices, e.g., the jog dial.  The
.Nm
driver provides support for some of these.
.Pp
The actual protocol used by the
.Tn SPIC
seems to vary a lot between different models; this driver has only
been tested on the Vaio SRX77.
.Pp
The
.Nm
driver handles the jog dial and its associated buttons.  They are turned
into a
.Nm wsmouse
which can the be accessed in the normal way.  The jog dial works as a
scroll button, and clicking it generates a click with the "middle" button.
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr wsmouse 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
.Sh BUGS
The
.Nm
driver only works with some hardware configurations.
